EvoPay
POST/withdraw/WITHDRAW

Criar saque

Requer permissão WITHDRAW no token.

Realiza um saque (cash-out) para uma chave Pix.

Headers

AuthorizationBearer <seu_token>
Content-Typeapplication/json

Body da requisiçãoobrigatório

CampoTipoDescrição
amount*
number
pixKey*
string
pixType*
PixType
cpfcnpjemailphoneevp
callbackUrl
stringuri
description
string
clientReference
string

Respostas

Saque criado com sucesso

CampoTipoDescrição
id
string
type
TransactionType
DEPOSITWITHDRAWCOMMISSION
status
TransactionStatus
PENDINGCOMPLETEDCANCELEDWAITING_FOR_REFUNDREFUNDEDEXPIREDERROR
amount
number
serviceFeeCharged
number?
clientReference
string?
qrCodeText
string?
qrCodeUrl
string?
qrCodeBase64
string?
generatedName
string?
generatedDocument
string?
generatedEmail
string?
payerName
string?
payerDocument
string?
payerInstitutionIspb
string?
payerInstitutionName
string?
receiverName
string?
receiverDocument
string?
receiverInstitutionIspb
string?
receiverInstitutionName
string?
withdrawPixKey
string?Chave PIX usada no saque (preenchido em saque via chave)
withdrawPixType
PixType?Tipo da chave PIX (preenchido em saque via chave)
cpfcnpjemailphoneevp
withdrawQrCodeText
string?Payload EMV Pix Copia e Cola usado no saque (preenchido em saque via QR Code)
endToEndId
string?
cancellationReason
string?
paidAt
string?date-time
refundEndToEndId
string?
refundAmount
number?
refundStatus
RefundStatus?
PENDINGCOMPLETEDCANCELED
refundReason
RefundReason?
CUSTOMER_REQUESTDENY_COMPANY_DEPOSITINFRACTION
refundDescription
string?
refundedAt
string?date-time
createdAt
stringdate-time
updatedAt
stringdate-time

Exemplos

curl "https://api.evopay.cash/v1/withdraw/" \
  -X POST \
  -H "Authorization: Bearer <seu_token>" \
  -H "Content-Type: application/json" \
  --data-raw '{
  "amount": 100,
  "pixKey": "usuario@email.com",
  "pixType": "cpf",
  "callbackUrl": "https://seu-servidor.com/webhook",
  "description": "exemplo",
  "clientReference": "exemplo"
}'
EvoPay API Documentation